libgitg-devel-3.30.1-56.8.x86_64.rpm


Advertisement

Description

libgitg-devel - Git repository viewer -- Development Files

Property Value
Distribution openSUSE Tumbleweed
Repository GNOME Factory all
Package filename libgitg-devel-3.30.1-56.8.x86_64.rpm
Package name libgitg-devel
Package version 3.30.1
Package release 56.8
Package architecture x86_64
Package type rpm
Category Development/Libraries/GNOME
Homepage https://wiki.gnome.org/Apps/Gitg
License GPL-2.0-or-later
Maintainer -
Download size 57.04 KB
Installed size 473.51 KB
gitg is a GitX clone for GNOME/gtk+. It aims at being a small, fast and
convenient tool to visualize git history and actions that benefit from a
graphical presentation.

Alternatives

Package Version Architecture Repository
libgitg-devel-3.30.1-131.1.i586.rpm 3.30.1 i586 GNOME Next
libgitg-devel-3.30.1-131.1.x86_64.rpm 3.30.1 x86_64 GNOME Next
libgitg-devel-3.30.1-56.8.i586.rpm 3.30.1 i586 GNOME Factory
libgitg-devel-3.30.1-2.1.i586.rpm 3.30.1 i586 openSUSE Oss
libgitg-devel-3.30.1-2.1.x86_64.rpm 3.30.1 x86_64 openSUSE Oss
libgitg-devel - - -

Requires

Name Value
/usr/bin/pkg-config -
libgitg-1_0-0 = 3.30.1
libgitg-ext-1_0-0 = 3.30.1
pkgconfig(gee-0.8) -
pkgconfig(gio-2.0) >= 2.38
pkgconfig(glib-2.0) >= 2.38
pkgconfig(gtk+-3.0) >= 3.20.0
pkgconfig(libgit2-glib-1.0) >= 0.27.7
pkgconfig(libgitg-1.0) -
python3-GitgExt = 3.30.1
typelib-1_0-Gitg-1_0 = 3.30.1
typelib-1_0-GitgExt-1_0 = 3.30.1

Provides

Name Value
libgitg-devel = 3.30.1-56.8
libgitg-devel(x86-64) = 3.30.1-56.8
pkgconfig(libgitg-1.0) = 3.30.1
pkgconfig(libgitg-ext-1.0) = 3.30.1

Download

Type URL
Mirror widehat.opensuse.org
Binary Package libgitg-devel-3.30.1-56.8.x86_64.rpm
Source Package gitg-3.30.1-56.8.src.rpm

Install Howto

  1. Add the GNOME Factory repository:
    # zypper addrepo http://widehat.opensuse.org/opensuse/repositories/GNOME:/Factory/openSUSE_Factory/ gnome-factory
  2. Install libgitg-devel rpm package:
    # zypper install libgitg-devel

Files

Path
/usr/include/libgitg-1.0/
/usr/include/libgitg-1.0/libgitg/libgitg.h
/usr/include/libgitg-ext-1.0/
/usr/include/libgitg-ext-1.0/libgitg-ext/libgitg-ext.h
/usr/lib64/libgitg-1.0.so
/usr/lib64/libgitg-ext-1.0.so
/usr/lib64/pkgconfig/libgitg-1.0.pc
/usr/lib64/pkgconfig/libgitg-ext-1.0.pc
/usr/share/gir-1.0/Gitg-1.0.gir
/usr/share/gir-1.0/GitgExt-1.0.gir
/usr/share/vala/vapi/libgitg-1.0.vapi
/usr/share/vala/vapi/libgitg-ext-1.0.vapi

Changelog

2019-02-10 - bjorn.lie@gmail.com
- Fix build with new translations-update-upstream.
2019-01-22 - Dominique Leuenberger <dimstar@opensuse.org>
- Add gitg-typelib-dependencies.patch: Change the way we add
library dependencies to .typelibs. openSUSE requires a full
library name, incl. version.
2019-01-04 - bjorn.lie@gmail.com
- Update to version 3.30.1:
+ Meson improvements.
+ Fix parsing title and body for message commit.
+ Search repositories ignoring case.
+ Added standalone mode.
+ Allow to config patience algorithm.
+ GUI improvements.
+ Removed autotools buildsystem.
+ Fixed mac compilation.
+ Misc fixes.
- Changes from version 3.30.0:
+ Detect dark theme from its background color.
+ Buildsystem meson added.
+ Added flatpak deployments.
+ Updated translations.
+ Misc fixes.
- Switch to meson buildsystem, add meson BuildRequires and macros.
- Add gitg-Bump-libgit2-glib-dependency.patch: Fix build with new
libgit2-glib, following this drop pkgconfig(libgit2-glib-1.0)
BuildConflicts: No longer needed nor valid.
- Add gitg-Various-meson-build-fixes.patch: Various meson build
fixes needed, all taken from upstream.
- Drop post(un) handling of glib2_gsettings_schema_post(un) and
glib2_gsettings_schema_requires, no longer needed.
2018-03-20 - dimstar@opensuse.org
- Unconditionally enable translation-update-upstream: on
Tumbleweed, this results in a NOP and for Leap in SLE paid
translations being used (boo#1086036).
2018-02-28 - dimstar@opensuse.org
- Modernize spec-file by calling spec-cleaner
2017-08-09 - zaitor@opensuse.org
- Update to version 3.26.0:
+ Misc fixes.
+ Updated translations.
- Update pkgconfig(libgit2-glib-1.0) BuildRequires and
BuildConflicts to versions 0.26.0 and 0.27.0.
- Drop post(un) handling of desktop_database_post(un) and
icon_theme_cache_post(un), no longer needed. Also drop obsolete
clean section.
- Conditionally apply translations-update-upstream BuildRequires
and macro for non-openSUSE only.
2017-05-06 - zaitor@opensuse.org
- Update to version 3.24.0:
+ Misc fixes.
+ Updated translations.
2017-02-16 - dimstar@opensuse.org
- Update to version 3.23.90:
+ Fix for libgit2-glib api change.
+ Do not duplicate the fds.
2016-11-29 - dimstar@opensuse.org
- Update to version 3.23.0:
+ Fix size calculation if there is no old pixbuf.
+ Fix side-by-side alignment in the case of a single image.
+ Show dash activity menu if shell does not show app menu.
+ Updated translations.
2016-09-18 - zaitor@opensuse.org
- Update to version 3.22.0:
+ Updated translations.

See Also

Package Description
libgitg-ext-1_0-0-3.30.1-56.8.i586.rpm Git repository viewer -- Library
libgitg-ext-1_0-0-3.30.1-56.8.x86_64.rpm Git repository viewer -- Library
libgjs-devel-1.56.1-169.1.i586.rpm Development files for the GJS library
libgjs-devel-1.56.1-169.1.x86_64.rpm Development files for the GJS library
libgjs0-1.56.1-169.1.i586.rpm JavaScript bindings based on gobject-introspection and Mozilla
libgjs0-1.56.1-169.1.x86_64.rpm JavaScript bindings based on gobject-introspection and Mozilla
libglade-2_0-0-2.6.4-38.14.i586.rpm Glade Library Compatible with the GNOME 2.x Desktop Platform
libglade-2_0-0-2.6.4-38.14.x86_64.rpm Glade Library Compatible with the GNOME 2.x Desktop Platform
libglade-2_0-0-32bit-2.6.4-38.14.x86_64.rpm Glade Library Compatible with the GNOME 2.x Desktop Platform
libglade2-devel-2.6.4-38.14.i586.rpm Include files and libraries mandatory for development
libglade2-devel-2.6.4-38.14.x86_64.rpm Include files and libraries mandatory for development
libglade2-doc-2.6.4-38.14.noarch.rpm Documentation for the Glade library
libgladeui-2-6-3.22.1-72.28.i586.rpm Core library of the GLADE User Interface Builder
libgladeui-2-6-3.22.1-72.28.x86_64.rpm Core library of the GLADE User Interface Builder
libgladeui-2-devel-3.22.1-72.28.i586.rpm Development files for libgladeui
Advertisement
Advertisement